<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Il mio profilo</ion-title>
    <ion-buttons slot="primary" *ngIf="token">
      <ion-button color="light" (click)="logout()">
        Esci
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content>
  <form
    novalidate
    [formGroup]="profileForm"
    (ngSubmit)="onSubmit()"
    class="ion-padding-horizontal"
    *ngIf="token"
  >
    <ion-grid>
      <ion-row>
        <ion-col sizeMd='6' size='12'>
          <ion-list>
            <ion-list-header lines="none">
              <ion-label>
                <h2>I tuoi dati personali</h2>
              </ion-label>
            </ion-list-header>
          </ion-list>
        </ion-col>
        <ion-col sizeMd='6' size='12'>
          <ion-item class="input" lines="full">
            <ion-label position="floating" color="success">Nome</ion-label>
            <ion-input
              inputmode="text"
              type="text"
              formControlName="first_name"
            ></ion-input>
          </ion-item>
          <ion-col
            class="ion-margin-horizontal"
            size="12"
            *ngIf="isSubmitted && errorControl.first_name.errors?.required"
          >
            <small class="error">Campo obbligatorio</small>
          </ion-col>

        </ion-col>
        <ion-col sizeMd='6' size='12'>
          <ion-item class="input" lines="full">
            <ion-label position="floating" color="success">Cognome</ion-label>
            <ion-input
              inputmode="text"
              type="text"
              formControlName="last_name"
            ></ion-input>
          </ion-item>
          <ion-col
            class="ion-margin-horizontal"
            size="12"
            *ngIf="isSubmitted && errorControl.last_name.errors?.required"
          >
            <small class="error">Campo obbligatorio</small>
          </ion-col>

        </ion-col>
        <ion-col sizeMd='6' size='12'>
          <ion-item class="input" lines="full">
            <ion-label position="floating" color="success"
            >Codice Fiscale</ion-label
            >
            <ion-input
              inputmode="text"
              type="text"
              formControlName="fiscal_code"
              readonly
            ></ion-input>
          </ion-item>
          <ion-col
            class="ion-margin-horizontal"
            size="12"
            *ngIf="isSubmitted && errorControl.fiscal_code.errors?.required"
          >
            <small class="error">Inserisci un CF valido</small>
          </ion-col>

        </ion-col>
        <ion-col sizeMd='6' size='12'>
          <ion-item class="input" lines="full">
            <ion-label position="floating" color="success"
            >Email</ion-label
            >
            <ion-input
              inputmode="text"
              type="text"
              formControlName="email"
              readonly
            ></ion-input>
          </ion-item>
          <ion-col
            class="ion-margin-horizontal"
            size="12"
            *ngIf="isSubmitted && errorControl.email.errors?.required"
          >
            <small class="error">Inserisci una email valida</small>
          </ion-col>

        </ion-col>
        <!--       <ion-col sizeMd='6' size='12'>
                 <ion-item class="input" lines="full">
                   <ion-label position="floating" color="success"
                   >Comune</ion-label
                   >
                   <ion-select ok-text="Conferma" cancel-text="Chiudi" formControlName='municipality' interface="action-sheet">
                     <ion-select-option [value]="comune.name" *ngFor="let comune of comuni">{{comune.name}}</ion-select-option>
                   </ion-select>
                 </ion-item>
                 <ion-col
                   class="ion-margin-horizontal"
                   size="12"
                   *ngIf="isSubmitted && errorControl.municipality.errors?.required"
                 >
                   <small class="error">Seleziona un comune</small>
                 </ion-col>

               </ion-col>
               <ion-col sizeMd='6' size='12'>
                 <ion-item class="input" lines="full">
                   <ion-label position="floating" color="success"
                   >Indirizzo</ion-label
                   >
                   <ion-input
                     inputmode="text"
                     type="text"
                     formControlName="address"
                     readonly
                   ></ion-input>
                 </ion-item>
                 <ion-col
                   class="ion-margin-horizontal"
                   size="12"
                   *ngIf="isSubmitted && errorControl.address.errors?.required"
                 >
                   <small class="error">Inserisci un indirizzo valido</small>
                 </ion-col>
               </ion-col>-->
        <ion-col sizeMd='6' size='12'>
          <ion-item class="input" lines="full">
            <ion-label position="floating" color="success"
            >Recapito telefonico</ion-label
            >
            <ion-input
              inputmode="tel"
              type="tel"
              formControlName="phone"
            ></ion-input>
            <ion-icon name="create-outline" slot="end"></ion-icon>
          </ion-item>
          <ion-col
            class="ion-margin-horizontal"
            size="12"
            *ngIf="isSubmitted && errorControl.phone.errors?.required"
          >
            <small class="error">Inserisci un recapito valido</small>
          </ion-col>
        </ion-col>
      </ion-row>

      <ion-row class="ion-text-center ion-margin-vertical" *ngIf="profileForm.dirty">
        <ion-col size="12">
          <ion-button
            expand="block"
            fill="outline"
            class="rounded"
            type="submit"
            color="primary"
            size="large"
          >
            <b>Salva modifiche</b>
          </ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </form>

  <ion-grid *ngIf="!token && showText">
    <ion-row>
      <ion-col size="12" class="ion-text-center">
        <h4>Per accedere al tuo profilo e poter inviare segnalazioni devi essere registrato</h4>
      </ion-col>
    </ion-row>
    <ion-row class="ion-text-center ion-margin-vertical">
      <ion-col size="12">
        <ion-button  (click)="openPage()"
                     expand="block"
                     fill="outline"
                     class="rounded"
                     type="button"
                     color="primary"
                     size="large"
        >
          <b>Iscriviti</b>
        </ion-button>
      </ion-col>
      <ion-col size="12">
        <ion-text>Oppure</ion-text>
      </ion-col>
      <ion-col size="12">
        <ion-button routerLink="/login"
                    expand="block"
                    fill="outline"
                    class="rounded"
                    type="button"
                    color="primary"
                    size="large"
        >
          <b>Accedi</b>
        </ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>

